Subject: Re: Debiandoc - WWW access to online docs

From: Lars Wirzenius <[email-masked]>
Date: Sun, 30 Jun 1996 02:08:42 +0300

I put out a new version of debiandoc, download the file debiandoc_0.1-0.deb
from http://www.clinet.fi/~liw/ (enter the directory as the URL, then
in lynx press d on the file, or shift-right-mouse-button in Netscape, or
something similar in other browsers).

This version is not a security bug.  Unless there's something important
I don't know about URLs, cgi-bins, or shell scripting.  Take a look.

Changes from version 0.0-0 to 0.1-0:

	Fixed security bug.
	No longer uses rman (since it is in non-free), but uses a simple
		built-in man2html conversion.  Not really smart enough,
		but good enough for a prototype.
	Due to previous, references to manual pages inside manual pages
		work.
	Added a couple of manual pages.

The manual pages work relatively well.  Plain text works.  Info files 
don't work (they'll be converted to ugly plain text).  HTML should work
(if filename is *.html or *.html.gz).

I won't hack or read much mail for a few days, but then I'll start 
hacking on the conversions and the caching.  I vaguely remember hearing 
about info2html and texi2html converters; if you have URLs, don't hesitate
to tell me.  I'll also start re-reading the developer's guidelines so
that I'll know how to do proper uploads (I have the account).

If anyone tests this, please tell me what you think.  <whine>If I don't
get any feedback, I won't improve it.</whine>

Someone might also want to take a look at implementing the queries (full
text search of all documents, and everything related to one program).  I
don't know if and when I will have time for those.